Get an eval test case
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/eval-test-cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/eval-test-cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/eval-test-cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"test_case": {
"id": "c3d5e7f9-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
"project_id": "4f3a9b2c-1d2e-4f5a-8b6c-7d8e9f0a1b2c",
"name": "Confirms the booking",
"description": null,
"when_relevant": "The caller asks to book a table.",
"success_criteria": "The agent repeats date, time and party size and confirms the booking.",
"failure_criteria": "The agent ends the call without confirming the details.",
"created_by": "org-token:42",
"created_at": "2026-10-01T09:30:00.000Z",
"updated_at": "2026-10-01T09:30:00.000Z"
}
}{
"error": "Invalid or revoked token"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Eval test cases
Get an eval test case
Returns one test case.
GET
/
v1
/
projects
/
{projectId}
/
eval-test-cases
/
{id}
Get an eval test case
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/eval-test-cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/eval-test-cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/eval-test-cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"test_case": {
"id": "c3d5e7f9-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
"project_id": "4f3a9b2c-1d2e-4f5a-8b6c-7d8e9f0a1b2c",
"name": "Confirms the booking",
"description": null,
"when_relevant": "The caller asks to book a table.",
"success_criteria": "The agent repeats date, time and party size and confirms the booking.",
"failure_criteria": "The agent ends the call without confirming the details.",
"created_by": "org-token:42",
"created_at": "2026-10-01T09:30:00.000Z",
"updated_at": "2026-10-01T09:30:00.000Z"
}
}{
"error": "Invalid or revoked token"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Response
The test case
One check the judge applies to an eval call: when it is relevant, what counts as success and what counts as failure.
Show child attributes
Show child attributes